/* This file is part of the KDE project
   Copyright (C) 2001 Eva Brucherseifer <eva@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/


#ifndef __KVCARDCONFIG_H__
#define __KVCARDCONFIG_H__


#include <qdialog.h>
//#include <kdialogbase.h>

class KvcardConfigBase;


/**
  * @class KvcardConfig
  * @author Eva Brucherseifer
  *
  * Configuration widget. Configuration values are saved in the 
  * central KConfig class.
  *
  * This class is based on the CSS control center modul 
  * by Matthias Hoelzer-Kluepfel <hoelzer@kde.org>
  */

class KvcardConfig : public QDialog
{
	Q_OBJECT

public:

	KvcardConfig(QWidget *parent = 0L, const char *name = 0L, bool modal=true);

	void load();
	void save();
	//  QString quickHelp() const;

public slots:

	void configChanged();
	void defaults();

private:
	bool modified;

	KvcardConfigBase *dialog;
};


#endif
