/* This file is part of the KDE project
   Copyright (C) 2000 Eva Brucherseifer <eva@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef KVCARDEDITOR_H
#define  KVCARDEDITOR_H

#include "kvcardeditorbase.h"
#include "vcard.h"

class KvcardAddress;
class QListViewItem;

/**
  * @class KvcardEditor
  * @author Eva Brucherseifer
  *
  * Editor widget for a vCard
  * (implementation is not complete)
  */
class KvcardEditor : public KvcardEditorBase
{
	Q_OBJECT
public:
	KvcardEditor(QWidget* parent, const char* name, bool modal);
	~KvcardEditor();

	void setVCard( VCard* vcard );
	VCard* vcard() const { return m_vcard; };

protected slots:
	void slotApply();
	void slotOK();

protected:
	void displayVCard();
	void readVCard();
	/** displays an address with specified qualifier*/
	bool displayAddress(VCardLine& vcardline);
	bool readAddress(KvcardAddress* addressview);

	void slotBirthday();
	void slotNewAddress();
	void slotDeleteAddress();
	void slotPrefAddress(bool toggled);

	VCard*  m_vcard;
	QValueList<KvcardAddress*> addressViews;
	int m_addressCount;
};


class QGridLayout;
class KDatePicker;

/**
  * @class KDateDialog
  * @author Eva Brucherseifer
  *
  * used by KvcardEditor
  */
class KDateDialog : public QDialog
{
	Q_OBJECT
public:
	KDateDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~KDateDialog() {}
	KDatePicker* picker;

protected:
	QGridLayout* dialogLayout;
	QPushButton* buttonOK;
	QPushButton* buttonCancel;
};


#endif
