/**
 * main.cpp
 *
 * Copyright (c) 2001 Eva Brucherseifer <eva@kde.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "kvcard.h"
#include <kapp.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char *description =
    I18N_NOOP("A KDE KPart Application");

static const char *version = "0.1";

static KCmdLineOptions options[] =
    {
        { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
        { 0, 0, 0 }
    };

int main(int argc, char **argv)
{
	KAboutData about("kvcard", I18N_NOOP("Kvcard"), version, description,
	                 KAboutData::License_GPL, "(C) 2001 Eva Brucherseifer", 0, 0, "eva@kde.org");
	about.addAuthor( "Eva Brucherseifer", 0, "eva@kde.org" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	KApplication app;

	// see if we are starting with session management
	if (app.isRestored())
		RESTORE(Kvcard)
		else
		{
			// no session.. just start up normally
			KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

			if ( args->count() == 0 )
			{
				Kvcard *widget = new Kvcard;
				widget->show();
			}
			else
			{
				int i = 0;
				for (; i < args->count(); i++ )
				{
					Kvcard *widget = new Kvcard;
					widget->show();
					widget->load( args->url( i ) );
				}
			}
			args->clear();
		}

	return app.exec();
}
